Bug 186784 - [UPDATE] devel/libgee to 0.12.0
Summary: [UPDATE] devel/libgee to 0.12.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Koop Mast
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-14 22:40 UTC by Olivier Duchateau
Modified: 2014-02-16 15:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.72 KB, patch)
2014-02-14 22:40 UTC, Olivier Duchateau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau freebsd_committer 2014-02-14 22:40:01 UTC
- Update to 0.12.0
- Support STAGEDIR
- Adjust dependencies

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-02-14 22:40:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kwm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Koop Mast freebsd_committer 2014-02-16 14:50:02 UTC
State Changed
From-To: open->closed

Committed thanks.
Comment 3 dfilter service freebsd_committer 2014-02-16 14:50:05 UTC
Author: kwm
Date: Sun Feb 16 14:49:56 2014
New Revision: 344578
URL: http://svnweb.freebsd.org/changeset/ports/344578
QAT: https://qat.redports.org/buildarchive/r344578/

Log:
  Update to 0.12.0.
  
  Use USES=libtool to prevent shared library change.
  Use USE_GNOME introspection component instead of manual BUILD_DEPEND line.
  Stagify and strip library.
  
  PR:		ports/186784
  Submitted by:	olivierd@

Modified:
  head/devel/libgee/Makefile
  head/devel/libgee/distinfo
  head/devel/libgee/pkg-plist

Modified: head/devel/libgee/Makefile
==============================================================================
--- head/devel/libgee/Makefile	Sun Feb 16 14:48:47 2014	(r344577)
+++ head/devel/libgee/Makefile	Sun Feb 16 14:49:56 2014	(r344578)
@@ -1,24 +1,23 @@
 # Created by: Frank Steinborn <steinex@nognu.de>
 # $FreeBSD$
-#    $MCom: ports/devel/libgee/Makefile,v 1.13 2012/10/14 20:47:22 kwm Exp $
+#    $MCom: ports/trunk/devel/libgee/Makefile 19007 2014-02-16 10:11:57Z kwm $
 
 PORTNAME=	libgee
-PORTVERSION=	0.8.5
+PORTVERSION=	0.12.0
 CATEGORIES=	devel
 MASTER_SITES=	GNOME
 
 MAINTAINER=	kwm@FreeBSD.org
 COMMENT=	GObject collection library
 
-BUILD_DEPENDS=	gobject-introspection>=0.9.0:${PORTSDIR}/devel/gobject-introspection
+BUILD_DEPENDS=	valac:${PORTSDIR}/lang/vala
 
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--enable-introspection=yes
-USE_GMAKE=	yes
 USE_XZ=		yes
-USE_GNOME=	glib20 gnomehier gnomehack
-USES=		pkgconfig
+USES=		gmake libtool pathfix pkgconfig
+USE_GNOME=	glib20 gnomehier introspection:build
 USE_LDCONFIG=	yes
+INSTALL_TARGET=	install-strip
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/devel/libgee/distinfo
==============================================================================
--- head/devel/libgee/distinfo	Sun Feb 16 14:48:47 2014	(r344577)
+++ head/devel/libgee/distinfo	Sun Feb 16 14:49:56 2014	(r344578)
@@ -1,2 +1,2 @@
-SHA256 (libgee-0.8.5.tar.xz) = f1349ca82dc5da49c98ce14020f1ed7bd41d8826d4c72526d1a46f82d99e5c09
-SIZE (libgee-0.8.5.tar.xz) = 583804
+SHA256 (libgee-0.12.0.tar.xz) = d106ed63fe0da5d5ee89aa8197a373cf9a2b96688cc3060144bfc0a022496ea5
+SIZE (libgee-0.12.0.tar.xz) = 639880

Modified: head/devel/libgee/pkg-plist
==============================================================================
--- head/devel/libgee/pkg-plist	Sun Feb 16 14:48:47 2014	(r344577)
+++ head/devel/libgee/pkg-plist	Sun Feb 16 14:49:56 2014	(r344578)
@@ -1,8 +1,9 @@
 include/gee-0.8/gee.h
+lib/girepository-1.0/Gee-0.8.typelib
 lib/libgee-0.8.la
 lib/libgee-0.8.so
 lib/libgee-0.8.so.2
-lib/girepository-1.0/Gee-0.8.typelib
+lib/libgee-0.8.so.2.3.0
 libdata/pkgconfig/gee-0.8.pc
 share/gir-1.0/Gee-0.8.gir
 share/vala/vapi/gee-0.8.vapi
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"